Core Resources

Users

Manage user profile details and user related functionalities.

Introspect

Returns the current authenticated user, account and membership lists

Accepts: application/json
Returns: application/json

Parameters

no parameters


Response

object of Introspect

Reference Type:  Introspect

account
object of Account
Reference Type: Account

The account currently in context for the user.
example: Account object
memberships
array of Membership
Reference Type: Membership

List of memberships showing the user’s access to various accounts.
example: {m1}, {m2}
user
object of User
Reference Type: User

The currently authenticated user details.
example: User object
POST /v1/introspect
curl -X POST https://api.serverista.com/v1/introspect \
  -H "Authorization: ApiKey YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d ''
Response

{
  "account": {
    "...": null
  },
  "memberships": [
    {
      "...": null
    }
  ],
  "user": {
    "...": null
  }
}

Update user profile

Updates the authenticated user's profile (name, last name, email, password)

Accepts: application/json
Returns: application/json

Parameters

Request Body
body
UpdateUserProfileRequest
Reference Type: UpdateUserProfileRequest

User update payload

Response

object of User

Reference Type:  User

email
string
User email address
example: [email protected]
external
boolean
Whether the user is created with sso
example: false
id
integer
Unique user ID
example: 42
type
string
Type of user (e.g., human, api, did)
example: api
enum: human,api,did
updated_at
string
Timestamp when the user was last updated
example: 2023-01-05T12:00:00Z
created_at
string
Timestamp when the user was created
example: 2023-01-01T12:00:00Z
last_name
string
User’s last name
example: Doe
name
string
User’s first name
example: John
sys
boolean
Whether the use has sys access
example: false
POST /v1/users/me
curl -X POST https://api.serverista.com/v1/users/me \
  -H "Authorization: ApiKey YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d ''
Response

{
  "created_at": "example_created_at",
  "email": "example_email",
  "external": true,
  "id": 123,
  "last_name": "example_last_name",
  "name": "example_name",
  "sys": true,
  "type": "example_type",
  "updated_at": "example_updated_at"
}